Subject: Re: linux-next: manual merge of the tip tree with Linus' tree

From: Ingo Molnar <[email-masked]>
Date: Tue, 3 Dec 2019 07:57:09 +0100

* Stephen Rothwell <[email-masked]> wrote:

> Hi all,
> 
> Today's linux-next merge of the tip tree got a conflict in:
> 
>   arch/x86/mm/pat_interval.c
> 
> between commit:
> 
>   91298f1a302d ("x86/mm/pat: Fix off-by-one bugs in interval tree search")
> 
> from Linus' tree and commits:
> 
>   70bfed57a6de ("x86/mm/pat: Move the memtype related files to arch/x86/mm/pat/")
> 
> from the tip tree.
> 
> I fixed it up (I just removed the file - there may be further updates
> required) and can carry the fix as necessary. This is now fixed as far as
> linux-next is concerned, but any non trivial conflicts should be mentioned
> to your upstream maintainer when your tree is submitted for merging.
> You may also want to consider cooperating with the maintainer of the
> conflicting tree to minimise any particularly complex conflicts.

No, the correct resolution is to apply the 91298f1a302d fix to the new 
file - which is in -tip and which I've now also pushed out to -next, so 
-next should pick it up tomorrow.

Thanks,

	Ingo